Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class ToolbarItem

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.BaseExtWidget
                  com.gwtext.client.widgets.ToolbarItem

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

Direct Known Subclasses:
  ToolbarFill, ToolbarSeparator, ToolbarSpacer, ToolbarTextItem

    public class ToolbarItem

extends BaseExtWidget

The base class that other classes should extend in order to get some basic common toolbar item functionality.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.BaseExtWidget
`jsObj`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`protected` | `ToolbarItem()`
`` | `ToolbarItem(com.google.gwt.user.client.Element element)` Creates a new Item.
`` | `ToolbarItem(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`void` | `destroy()` Removes and destroys this item.
`void` | `disable()` Disables this item.
`void` | `enable()` Enables this item.
`void` | `focus()` Try to focus this item.
`com.google.gwt.user.client.Element` | `getElement()`
`void` | `hide()`
`void` | `hideRendered()` Hides this item.
`protected boolean` | `isRendered()`
`void` | `setVisible(boolean visible)` Convenience function for boolean show/hide.
`void` | `show()` Shows this item.

Methods inherited from class com.gwtext.client.widgets.BaseExtWidget
`equals, getEl, getElement, getJsObj, getOffsetHeight, getOffsetWidth, getTitle, hashCode, isVisible, onAttach, onLoad, purgeListeners, setHeight, setJsObj, setTitle, setWidth, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onBrowserEvent, onDetach, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolbarItem

    protected ToolbarItem()

### ToolbarItem

    public ToolbarItem(com.google.gwt.user.client.Element element)

  Creates a new Item.

  Parameters:
    `element` - the html element

### ToolbarItem

    public ToolbarItem(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getElement

    public com.google.gwt.user.client.Element getElement()

  Overrides:
    `getElement` in class `com.google.gwt.user.client.ui.UIObject`

### isRendered

    protected boolean isRendered()

### destroy

    public void destroy()

  Removes and destroys this item.

### disable

    public void disable()

  Disables this item.

### enable

    public void enable()

  Enables this item.

### focus

    public void focus()

  Try to focus this item.

### hide

    public void hide()

### hideRendered

    public void hideRendered()

  Hides this item.

### show

    public void show()

  Shows this item.

### setVisible

    public void setVisible(boolean visible)

  Convenience function for boolean show/hide.

  Overrides:
    `setVisible` in class `BaseExtWidget`
  Parameters:
    `visible` - true to show

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD